#!/bin/sh

java -server -Xmx${MAX_MEMORY:-1G} -Xaggressive \
  -XX:+UnlockExperimentalVMOptions -XX:+OptimizeStringConcat -XX:+UseStringDeduplication \
  -XX:+UseCompressedOops -XX:+UseNUMA -XX:+IdleTuningGcOnIdle -Xgcpolicy:gencon \
  -Xshareclasses:allowClasspaths -Xtune:virtualized -Xcompactgc \
  -jar /app/piped.jar &

pid=$!

trap "kill -INT $pid" INT
trap "kill -TERM $pid" TERM

wait
